Probleme beim Raspberry-Update (Update-Orgien-Fix)

Macmissionar
Beiträge: 12
Registriert: Fr 25. Mai 2018, 22:33
Wohnort: Geldern
x 5

Probleme beim Raspberry-Update (Update-Orgien-Fix)

Ungelesener Beitrag von Macmissionar » Mo 20. Mai 2019, 15:57

Hallo zusammen,

nach längerer Zeit (hier gibt es ja leider länger schon keine Neuigkeiten mehr, sodaß man seinen Raspi einfach nur benutzt und manchmal gar nicht daran denkt, wie sehr er einem das tägliche Leben erleichtert) habe ich jetzt am Wochenende nochmal via ssh nach meinem kleinen Diener geschaut und eine Update-Orgie gestartet. Am Spruch Don't touch running systems ist zwar auch nach 20 Jahren noch irgendwie was dran, aber naja; man hat ja ein gutes Gefühl, wenn man es tut.

Jedenfalls ging danach nichts mehr, FB.Switch selbst lud zwar irgendwie noch, aber die Homebridge wollte gar nicht mehr. Auch nicht durch die Eve-App von Elgato; die Home-App wollte nichts mehr erkennen.

Der manuelle Start (so ganz kenne ich mich immer noch nicht aus, aber es ist ja ein Unterschied, ob man Homebridge manuell startet oder vom LaunchDemon) brachte dann auch wie hier zu lesen massive Fehlermeldungen zutrage:

https://www.reddit.com/r/homebridge/com ... f=readnext

Code: Alles auswählen

[4/30/2019, 11:01:58 PM] TypeError: "list" argument must be an Array of Buffers
    at Function.Buffer.concat (buffer.js:314:13)
    at Object.encode (/opt/node/lib/node_modules/homebridge/node_modules/hap-nodejs/lib/util/tlv.js
    …
Und davon noch viel mehr bei mir. Ich habe dann viel versucht, unter anderem die config.json neu einzuschießen mit http, statt Http, das war jedoch ein Fehler, also der Fehler mit großem H ist korrekt und muß so bleiben; dann die MAC-Adresse zu ändern, alles ohne Erfolg. Auch das Löschen des Cache-Ordners brachte keinen Erfolg.

Dann habe ich hier:

https://www.hostingadvice.com/how-to/up ... t-version/

schöner Weise die Lösung gefunden;
edit:
i solved it. I had to ugrade node to version 10.15.3 lts.
There should probably a warning in the homkit script that tells you when you are using an incompatible node version

Code: Alles auswählen

sudo npm cache clean -f
sudo npm install -g n
sudo n stable
nacheinander brachte den Erfolg und das Update auf 10.15.3 war installiert:

Code: Alles auswählen

install : node-v10.15.3
       mkdir : /usr/local/n/versions/node/10.15.3
       fetch : https://nodejs.org/dist/v10.15.3/node-v10.15.3-linux-armv6l.tar.gz
######################################################################## 100.0%
   installed : v10.15.3
Ab da ging dann nach einem (ich hatte leider die Bridge schon herausgeschmissen und mußte ohnehin alle 45 Geräte neu anklicken) Neueinrichten wieder alles.

Übrigens wieder einen Tacken schneller. Also; dies wollte ich teilen; steht bald jemand am gleichen Problem und ärgert sich vielleicht.


Bis bald, hoffentlich …
2 x
A Mac is like a Wigwam: No Windows, no Gates, no Backdoors, Peace, Harmony – and an Apache inside.

onkeldave
Beiträge: 77
Registriert: Mi 16. Mai 2018, 07:01
Wohnort: Bei HH
x 22

Re: Probleme beim Raspberry-Update (Update-Orgien-Fix)

Ungelesener Beitrag von onkeldave » Mi 22. Mai 2019, 07:57

Moin!
Vielen Dank für die Info, ich hab die gleiche Dummheit begangen, mich aber nicht mehr reingehängt, sondern mich meinem Schicksal ergeben. Jetzt werd ich da nochmal bei gehen, muss aber alles neu aufsetzten, weil ich mich dabei alles zerschossen habe (auch mein iOBroker).
0 x

Antworten